Retrieve latest RICAL
Analytics Events
/v1/ecosystems/{ecosystemId}/ricals/public/latestRetrieves the latest RICAL from the requested ecosystem.
The response is a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5.
This endpoint is intended for public consumption, and as such does not require authentication.
Analytic events
- ECOSYSTEM_RICAL_RETRIEVE_LATEST_START
- ECOSYSTEM_RICAL_RETRIEVE_LATEST_SUCCESS
- ECOSYSTEM_RICAL_RETRIEVE_LATEST_FAIL
Path Parameters
The UUID of the ecosystem
uuidResponse Body
application/cbor
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/ricals/public/latest""string"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve specific RICAL GET
Retrieves a specific RICAL from the requested ecosystem by providing the RICAL version identifier. The response is a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5. This endpoint is intended for public consumption, and as such does not require authentication. ### **Analytic events** * ECOSYSTEM_RICAL_RETRIEVE_START * ECOSYSTEM_RICAL_RETRIEVE_SUCCESS * ECOSYSTEM_RICAL_RETRIEVE_FAIL
Update RICAL configuration PUT
Update the RICAL configuration for the requested ecosystem. A RICAL configuration is required in order for RICALs to be created. ### **Analytic events** * ECOSYSTEM_RICAL_CONFIGURATION_UPSERT_START * ECOSYSTEM_RICAL_CONFIGURATION_UPSERT_SUCCESS * ECOSYSTEM_RICAL_CONFIGURATION_UPSERT_FAIL